#!/bin/sh

# This is a SH script that can start and stop the playlist monitor.
# The following is from the application developer's manual:
#
#If you would like to run an application when the system boots up, you have to
#write a startup script and put it in /usr/local/etc/rc.d/. Following are some
#rules for the startup script:
#1. It must have the suffix “.sh”. For example, “myprog.sh”. 
#2. The permission must be 755. 
#3. It must have the options “start” and “stop”. When the system boots up, it
#will call “myprog.sh start”; when it shuts down, it will call “myprog.sh stop”.
#You can refer to the scripts in /usr/syno/etc/rc.d/. They are scripts for
#Synology default services.

PidFile='/var/run/audiostation-playlistmonitor.pid'

case "$1" in

stop)
        echo "Stop SSH..."
        killall audiostation-playlistmonitor > /dev/null 2>&1
        ;;

start)        
        if [ -f "$PidFile" ]; then
                kill -0 `cat $PidFile`
                if [ $? = 0 ]; then
                        echo "Another audiostation-playlistmonitor is starting. Skip..."
                        exit 0;
                fi
        fi

        /usr/local/audiostation-playlistmonitor/bin/audiostation-playlistmonitor > /dev/null 2>&1 &
        echo "Start AudioStation playlist monitor ..."
        ;;
        
restart)
        $0 stop
        sleep 1
        $0 start
        ;;        
*)
        echo "usage: $0 { start | stop | restart}" >&2
        exit 1
        ;;
                                
esac

